Ubuntu 6290 Published by

A Cinder security update has been released Ubuntu Linux 20.04 LTS, 22.04 LTS, 22.10, and 23.04.



USN-6073-1: Cinder vulnerability


==========================================================================
Ubuntu Security Notice USN-6073-1
May 11, 2023

cinder vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 23.04
- Ubuntu 22.10
- Ubuntu 22.04 LTS
- Ubuntu 20.04 LTS

Summary:

Cinder could be made to expose sensitive information.

Software Description:
- cinder: OpenStack storage service

Details:

Jan Wasilewski and Gorka Eguileor discovered that Cinder incorrectly
handled deleted volume attachments. An authenticated user or attacker could
possibly use this issue to gain access to sensitive information.

This update may require configuration changes to be completely effective,
please see the upstream advisory for more information:

https://security.openstack.org/ossa/OSSA-2023-003.html

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 23.04:
python3-cinder 2:22.0.0-0ubuntu1.1

Ubuntu 22.10:
python3-cinder 2:21.1.0-0ubuntu2.1

Ubuntu 22.04 LTS:
python3-cinder 2:20.1.0-0ubuntu2.1

Ubuntu 20.04 LTS:
python3-cinder 2:16.4.2-0ubuntu2.3

In general, a standard system update will make all the necessary changes.

References:
https://ubuntu.com/security/notices/USN-6073-1
CVE-2023-2088

Package Information:
https://launchpad.net/ubuntu/+source/cinder/2:22.0.0-0ubuntu1.1
https://launchpad.net/ubuntu/+source/cinder/2:21.1.0-0ubuntu2.1
https://launchpad.net/ubuntu/+source/cinder/2:20.1.0-0ubuntu2.1
https://launchpad.net/ubuntu/+source/cinder/2:16.4.2-0ubuntu2.3